## org.eclipse.emf.ecore.util
Class BasicExtendedMetaData.EPackageExtendedMetaDataImpl

    java.lang.Object
      org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaDataImpl

All Implemented Interfaces:
  BasicExtendedMetaData.EPackageExtendedMetaData

Enclosing class:
  BasicExtendedMetaData

    public class BasicExtendedMetaData.EPackageExtendedMetaDataImpl

extends java.lang.Object
implements BasicExtendedMetaData.EPackageExtendedMetaData

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData
`BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

Field Summary
`protected EPackage` `ePackage`
`protected boolean` `isInitialized`
`protected boolean` `isQualified`
`protected java.util.Map<java.lang.String,EClassifier>` `nameToClassifierMap`

Constructor Summary
`BasicExtendedMetaData.EPackageExtendedMetaDataImpl(EPackage ePackage)`

Method Summary
`EClassifier` `getType(java.lang.String name)`
`boolean` `isQualified()`
`void` `rename(EClassifier eClassifier, java.lang.String newName)`
`void` `setQualified(boolean isQualified)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ePackage

    protected EPackage ePackage

### isInitialized

    protected boolean isInitialized

### isQualified

    protected boolean isQualified

### nameToClassifierMap

    protected java.util.Map<java.lang.String,EClassifier> nameToClassifierMap

Constructor Detail

### BasicExtendedMetaData.EPackageExtendedMetaDataImpl

    public BasicExtendedMetaData.EPackageExtendedMetaDataImpl(EPackage ePackage)

Method Detail

### isQualified

    public boolean isQualified()

  Specified by:
    `isQualified` in interface `BasicExtendedMetaData.EPackageExtendedMetaData`

### setQualified

    public void setQualified(boolean isQualified)

  Specified by:
    `setQualified` in interface `BasicExtendedMetaData.EPackageExtendedMetaData`

### getType

    public EClassifier getType(java.lang.String name)

  Specified by:
    `getType` in interface `BasicExtendedMetaData.EPackageExtendedMetaData`

### rename

    public void rename(EClassifier eClassifier,
                       java.lang.String newName)

  Specified by:
    `rename` in interface `BasicExtendedMetaData.EPackageExtendedMetaData`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.